Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529952 - <dev-libs/libpcre-8.38: heap buffer overflow (CVE-2014-8964)
Summary: <dev-libs/libpcre-8.38: heap buffer overflow (CVE-2014-8964)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-20 13:44 UTC by Agostino Sarubbo
Modified: 2016-07-09 02:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-11-20 13:44:52 UTC
From ${URL} :

Heap buffer overflow issue was reported [1] in PCRE when processing a specially crafted regular 
expression.

Upstream patch for this: http://www.exim.org/viewvc/pcre2?view=rev&revision=154
The next upstream release that will contain the above fix is likely to be around Feb/Mar next year 
(2015).

[1]: http://bugs.exim.org/show_bug.cgi?id=1546


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2015-01-04 16:08:47 UTC
CVE-2014-8964 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-8964):
  Heap-based buffer overflow in PCRE 8.36 and earlier allows remote attackers
  to cause a denial of service (crash) or have other unspecified impact via a
  crafted regular expression, related to an assertion that allows zero
  repeats.
Comment 2 Agostino Sarubbo gentoo-dev 2015-03-27 10:01:10 UTC
This is fixed in the new version of pcre called pcre2:
ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre2-10.10.tar.bz2

Do we want to keep the same name for this package?
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-31 06:28:10 UTC
Added to existing GLSA.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2016-07-09 02:10:08 UTC
This issue was resolved and addressed in
 GLSA 201607-02 at https://security.gentoo.org/glsa/201607-02
by GLSA coordinator Aaron Bauman (b-man).
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-07-09 02:11:43 UTC
This issue was resolved and addressed in
 GLSA 201607-02 at https://security.gentoo.org/glsa/201607-02
by GLSA coordinator Aaron Bauman (b-man).